# Find the RDKitPython dependencies
include(CMakeFindDependencyMacro)

find_dependency(Python3 3.14 COMPONENTS Interpreter Development.Module NumPy)
find_dependency(Boost 1.88.0 COMPONENTS python314 numpy314)
find_dependency(RDKit 2026.03.5 REQUIRED)

# Import the targets
include("${CMAKE_CURRENT_LIST_DIR}/rdkitpython-targets.cmake")
